Calls

Dispatch call

Trigger an outbound real-time call connecting a target phone number to a pre-configured voice agent.

POST
/agents/{agentId}/calls

Trigger an outbound real-time call connecting a target phone number to a pre-configured voice agent.

Authorization

ApiKeyAuth
X-API-Key<token>

Voice platform authentication secret. Create one from the API Keys endpoint or your dashboard.

In: header

Path Parameters

agentId*string

Unique identifier of the voice agent that will run the call.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agents/agt_8skd92ja/calls" \  -H "Content-Type: application/json" \  -d '{    "name": "Ravi Kumar",    "phone": "+919876543210",    "templateContext": {}  }'
{  "callId": "call_72hd81",  "roomName": "room_72hd81",  "status": "queued"}
{  "statusCode": 400,  "message": [    "name should not be empty"  ],  "error": "Bad Request"}
{  "statusCode": 401,  "message": "Unauthorized",  "error": "Unauthorized"}

{  "error": "CONCURRENCY_LIMIT_EXCEEDED",  "message": "Workspace concurrent call limit of 2 reached. Upgrade your plan to increase limits."}